//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.02.04 at 11:26:18 PM CET 
//


package com.zakon.intelektualnasvojina.model.p1Obrazac;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Punomocnik complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Punomocnik">
 *   &lt;complexContent>
 *     &lt;extension base="{https://www.serviszaradsapatentima.rs}Covek">
 *       &lt;sequence>
 *         &lt;element name="vrsta_predstavnika">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;enumeration value="Punomocnik za zastupanje"/>
 *               &lt;enumeration value="Punomocnik za prijem pismena"/>
 *               &lt;enumeration value="Zajednicki predstavnik"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Punomocnik", propOrder = {
    "vrstaPredstavnika"
})
public class Punomocnik
    extends Covek
{

    @XmlElement(name = "vrsta_predstavnika", required = true)
    protected String vrstaPredstavnika;

    /**
     * Gets the value of the vrstaPredstavnika property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVrstaPredstavnika() {
        return vrstaPredstavnika;
    }

    /**
     * Sets the value of the vrstaPredstavnika property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVrstaPredstavnika(String value) {
        this.vrstaPredstavnika = value;
    }

}
